misagent_client_free
misagent_client_new
misagent_client_start_service
misagent_client_t
misagent_copy
misagent_copy_all
misagent_error_t
misagent_get_status_code
misagent_install
misagent_remove
MISAGENT_SERVICE_NAME

## misagent_client_free()

LIBIMOBILEDEVICE_API misagent_error_t misagent_client_free | ( | misagent_client_t | client | ) |

Disconnects an misagent client from the device and frees up the misagent client data.

Parameters

  client | The misagent client to disconnect and free.

Returns
  MISAGENT_E_SUCCESS on success, MISAGENT_E_INVALID_ARG when client is NULL, or an MISAGENT_E_* error code otherwise.